> ## Documentation Index
> Fetch the complete documentation index at: https://docs.getmembrane.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get flow run output for specific node



## OpenAPI

````yaml /api-reference/membrane-api.json get /flow-runs/{id}/output/{nodeKey}
openapi: 3.0.0
info:
  title: Membrane API
  description: API documentation for Membrane Engine
  version: '1.0'
  contact: {}
servers:
  - url: https://api.getmembrane.com
security:
  - bearer: []
tags: []
paths:
  /flow-runs/{id}/output/{nodeKey}:
    get:
      tags:
        - FlowRuns
      summary: Get flow run output for specific node
      operationId: getNodeOutput
      parameters:
        - name: id
          required: true
          in: path
          schema:
            type: string
        - name: nodeKey
          required: true
          in: path
          schema:
            type: string
        - name: cursor
          required: true
          in: query
          schema:
            type: string
      responses:
        '200':
          description: ''
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/FlowRunOutputDto'
components:
  schemas:
    FlowRunOutputDto:
      type: object
      properties:
        items:
          type: array
          items:
            type: object
        cursor:
          type: string
      required:
        - items
  securitySchemes:
    bearer:
      scheme: bearer
      bearerFormat: JWT
      type: http

````